New Sync Dataset
curl --request POST \
--url https://api.example.com/datasets/sync/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"name": "<string>",
"sync": {
"schedule_enabled": true,
"cron_schedule": "<string>",
"import_config": {
"output_dataset": "<string>",
"job_type": "integration",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integration_config": {},
"credential_secret": "<string>",
"input_dataset": "<string>"
}
},
"description": "<string>",
"is_private_for_member": false,
"parent_folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/datasets/sync/"
payload = {
"id": "<string>",
"name": "<string>",
"sync": {
"schedule_enabled": True,
"cron_schedule": "<string>",
"import_config": {
"output_dataset": "<string>",
"job_type": "integration",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integration_config": {},
"credential_secret": "<string>",
"input_dataset": "<string>"
}
},
"description": "<string>",
"is_private_for_member": False,
"parent_folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
name: '<string>',
sync: {
schedule_enabled: true,
cron_schedule: '<string>',
import_config: {
output_dataset: '<string>',
job_type: 'integration',
connection_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
integration_config: {},
credential_secret: '<string>',
input_dataset: '<string>'
}
},
description: '<string>',
is_private_for_member: false,
parent_folder_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/datasets/sync/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}datasets
New Sync Dataset
POST
/
datasets
/
sync
/
New Sync Dataset
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Query Parameters
Body
application/json
Response
Successful Response